package com.ssm.manage.entity;

import java.io.Serializable;
import javax.persistence.*;

@Table(name = "store_allinpay_info")
public class StoreAllinpayInfo implements Serializable {
    /**
     * 主键ID
     */
    @Id
    private Long id;

    /**
     * 门店ID
     */
    @Column(name = "store_id")
    private Long storeId;

    /**
     * 集团商户号
     */
    @Column(name = "org_id")
    private String orgId;

    /**
     * 商户号
     */
    @Column(name = "cus_id")
    private String cusId;

    /**
     * 应用ID
     */
    @Column(name = "app_id")
    private String appId;

    /**
     * 校验签名md5格式
     */
    @Column(name = "md5_appkey")
    private String md5Appkey;

    /**
     * 校验签名rsa私钥
     */
    @Column(name = "rsa_cusprikey")
    private String rsaCusprikey;

    /**
     * 校验签名rsa公钥
     */
    @Column(name = "rsa_tlpubkey")
    private String rsaTlpubkey;

    /**
     * 校验签名商户sm2私钥
     */
    @Column(name = "sm2_privatekey")
    private String sm2Privatekey;

    /**
     * 校验签名通联平台sm2公钥
     */
    @Column(name = "sm2_publickey")
    private String sm2Publickey;

    private static final long serialVersionUID = 1L;

    /**
     * 获取主键ID
     *
     * @return id - 主键ID
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置主键ID
     *
     * @param id 主键ID
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取门店ID
     *
     * @return store_id - 门店ID
     */
    public Long getStoreId() {
        return storeId;
    }

    /**
     * 设置门店ID
     *
     * @param storeId 门店ID
     */
    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取集团商户号
     *
     * @return org_id - 集团商户号
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 设置集团商户号
     *
     * @param orgId 集团商户号
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    /**
     * 获取商户号
     *
     * @return cus_id - 商户号
     */
    public String getCusId() {
        return cusId;
    }

    /**
     * 设置商户号
     *
     * @param cusId 商户号
     */
    public void setCusId(String cusId) {
        this.cusId = cusId;
    }

    /**
     * 获取应用ID
     *
     * @return app_id - 应用ID
     */
    public String getAppId() {
        return appId;
    }

    /**
     * 设置应用ID
     *
     * @param appId 应用ID
     */
    public void setAppId(String appId) {
        this.appId = appId;
    }

    /**
     * 获取校验签名md5格式
     *
     * @return md5_appkey - 校验签名md5格式
     */
    public String getMd5Appkey() {
        return md5Appkey;
    }

    /**
     * 设置校验签名md5格式
     *
     * @param md5Appkey 校验签名md5格式
     */
    public void setMd5Appkey(String md5Appkey) {
        this.md5Appkey = md5Appkey;
    }

    /**
     * 获取校验签名rsa私钥
     *
     * @return rsa_cusprikey - 校验签名rsa私钥
     */
    public String getRsaCusprikey() {
        return rsaCusprikey;
    }

    /**
     * 设置校验签名rsa私钥
     *
     * @param rsaCusprikey 校验签名rsa私钥
     */
    public void setRsaCusprikey(String rsaCusprikey) {
        this.rsaCusprikey = rsaCusprikey;
    }

    /**
     * 获取校验签名rsa公钥
     *
     * @return rsa_tlpubkey - 校验签名rsa公钥
     */
    public String getRsaTlpubkey() {
        return rsaTlpubkey;
    }

    /**
     * 设置校验签名rsa公钥
     *
     * @param rsaTlpubkey 校验签名rsa公钥
     */
    public void setRsaTlpubkey(String rsaTlpubkey) {
        this.rsaTlpubkey = rsaTlpubkey;
    }

    /**
     * 获取校验签名商户sm2私钥
     *
     * @return sm2_privatekey - 校验签名商户sm2私钥
     */
    public String getSm2Privatekey() {
        return sm2Privatekey;
    }

    /**
     * 设置校验签名商户sm2私钥
     *
     * @param sm2Privatekey 校验签名商户sm2私钥
     */
    public void setSm2Privatekey(String sm2Privatekey) {
        this.sm2Privatekey = sm2Privatekey;
    }

    /**
     * 获取校验签名通联平台sm2公钥
     *
     * @return sm2_publickey - 校验签名通联平台sm2公钥
     */
    public String getSm2Publickey() {
        return sm2Publickey;
    }

    /**
     * 设置校验签名通联平台sm2公钥
     *
     * @param sm2Publickey 校验签名通联平台sm2公钥
     */
    public void setSm2Publickey(String sm2Publickey) {
        this.sm2Publickey = sm2Publickey;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        StoreAllinpayInfo other = (StoreAllinpayInfo) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getOrgId() == null ? other.getOrgId() == null : this.getOrgId().equals(other.getOrgId()))
            && (this.getCusId() == null ? other.getCusId() == null : this.getCusId().equals(other.getCusId()))
            && (this.getAppId() == null ? other.getAppId() == null : this.getAppId().equals(other.getAppId()))
            && (this.getMd5Appkey() == null ? other.getMd5Appkey() == null : this.getMd5Appkey().equals(other.getMd5Appkey()))
            && (this.getRsaCusprikey() == null ? other.getRsaCusprikey() == null : this.getRsaCusprikey().equals(other.getRsaCusprikey()))
            && (this.getRsaTlpubkey() == null ? other.getRsaTlpubkey() == null : this.getRsaTlpubkey().equals(other.getRsaTlpubkey()))
            && (this.getSm2Privatekey() == null ? other.getSm2Privatekey() == null : this.getSm2Privatekey().equals(other.getSm2Privatekey()))
            && (this.getSm2Publickey() == null ? other.getSm2Publickey() == null : this.getSm2Publickey().equals(other.getSm2Publickey()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getOrgId() == null) ? 0 : getOrgId().hashCode());
        result = prime * result + ((getCusId() == null) ? 0 : getCusId().hashCode());
        result = prime * result + ((getAppId() == null) ? 0 : getAppId().hashCode());
        result = prime * result + ((getMd5Appkey() == null) ? 0 : getMd5Appkey().hashCode());
        result = prime * result + ((getRsaCusprikey() == null) ? 0 : getRsaCusprikey().hashCode());
        result = prime * result + ((getRsaTlpubkey() == null) ? 0 : getRsaTlpubkey().hashCode());
        result = prime * result + ((getSm2Privatekey() == null) ? 0 : getSm2Privatekey().hashCode());
        result = prime * result + ((getSm2Publickey() == null) ? 0 : getSm2Publickey().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", storeId=").append(storeId);
        sb.append(", orgId=").append(orgId);
        sb.append(", cusId=").append(cusId);
        sb.append(", appId=").append(appId);
        sb.append(", md5Appkey=").append(md5Appkey);
        sb.append(", rsaCusprikey=").append(rsaCusprikey);
        sb.append(", rsaTlpubkey=").append(rsaTlpubkey);
        sb.append(", sm2Privatekey=").append(sm2Privatekey);
        sb.append(", sm2Publickey=").append(sm2Publickey);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}